include ../../molecules/menu/menu
  
mixin header(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''
  - spec.menuItem = spec.menuItem || []
  
  header.header(class=spec.__class)&attributes(attributes)
    .header__top-line
      +icon({__class: "header__icon js-hamburger",icon:'hamburger'})
      +icon({__class:' header__icon-phone', icon: 'phone'})
      a(href="tel: (000) 000-0000" title='Звязатися з клінікою "Улюблений Доктор"').header__phone (000) 000-0000
    .header__container
      +menu({ menuItems: spec.menuItem })
